<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * MaxSite CMS
 * (c) http://max-3000.com/
 */

	$CI = & get_instance();
	
	$options_key = 'taggallery';
	
	if ( $post = mso_check_post(array('f_session_id', 'f_submit')) )
	{
		mso_checkreferer();

		$options = array();
		$options['gallery_slug'] = $post['f_gallery_slug'];
    $options['gallery_content_end']  = isset($post['f_gallery_content_end']) ? TRUE : FALSE;
    $options['gallery_name'] = $post['f_gallery_name'];
    
    $gallery_array = taggallery_recalc(); // строим массив всех помеченных картинок
	  $options['gallery_array'] = taggallery_recalc2($gallery_array); //преобразуем массив к более удобному виду
		mso_add_option($options_key, $options, 'plugins');	  
	  $print = '';
		foreach ($options['gallery_array'] as $key => $tag)
		 {
		   $print .=  ($key . ': ' . count($tag) . '<br>');
		 }
		$message = 'Обновлено! <br>Найдено картинок в галереях по меткам: <br>' . $print;
		echo '<div class="update">' . t($message, 'plugins') . '</div>';
	}
	
 
	 
	
?>
<h1><?= t('TagGallery', 'plugins') ?></h1>
<p class="info"><?= t('Плагин для формирования галлерей по меткам, присвоенным картинкам', 'plugins') ?></p>

<?php
		$options = mso_get_option($options_key, 'plugins', array());
		if ( !isset($options['gallery_slug']) ) $options['gallery_slug'] = 'pictures'; 
    if ( !isset($options['gallery_name']) ) $options['gallery_name'] = 'Галереи изображений';
     $chckout = '';     
     if ( !isset($options['gallery_content_end']) OR (bool)$options['gallery_content_end'] )
        {
            $chckout = 'checked="true"';
        } 
        
		$form = '';
		$form .= '<th>' . t('Настройки', 'plugins') . '</th>';
		$form .= '<tr><td><strong>' . t('Slug для каталога', 'plugins') . '</strong> </td>' . '<td> <input name="f_gallery_slug" type="text" value="' . $options['gallery_slug'] . '"></td></tr>';
    $form .= '<tr><td><strong>' . t('Выводить ли после контента ссылку на галереи,  <br>соответствующие по меткам странице?', 'plugins') . '</strong> </td>' . '<td> <input name="f_gallery_content_end" type="checkbox" ' . $chckout . '"></td></tr>';
    $form .= '<tr><td><strong>' . t('Заголовок галерей', 'plugins') . '</strong> </td>' . '<td> <input name="f_gallery_name" type="text" value="' . $options['gallery_name'] . '"></td></tr>';        
    
		echo '<form action="" method="post">' . mso_form_session('f_session_id');
		echo '<table>';
        echo $form;
        echo '</table>';
		echo '<input type="submit" name="f_submit" value="' . t('Сохранить изменения', 'plugins') . '" style="margin: 25px 0 5px 0;" />';
		echo '</form>';

?>