<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * MaxSite CMS
 * (c) http://max-3000.com/
 */



//сформируем массив картинок в виде урлов готовых для вывода
function taggallery_get_url_pictures($pictures = array() , $gallery_url = '')
{
  $out = array();
  foreach ($pictures as $picture)
  {
     $file = $picture['file'];
     $dir = $picture['dir'];
     $desc = $picture['desc'];
     $ext = strtolower(str_replace('.', '', strrchr($file, '.'))); // расширение файла
     $picture_url = $dir . $file;
     $picturemini_url = $dir . 'mini/' . $file;
 		//Если картинка - делаем ссылку превьюшкой
		if ( $ext == 'jpg' or $ext == 'jpeg' or $ext == 'gif' or $ext == 'png')
		{
			$picture_link = '<a href="' . $picture_url . '" title="' . $desc . '"><img src="' . $picturemini_url . '" alt="' . $desc . '"></a>';
     //   $picture_link = '<a href="' . $picture_url . '"><img src="' . $picturemini_url . '"></a>';
      $tags = mso_explode($desc, false, false);
      $picture_podpis = '';
      foreach ($tags as $tag)
      { 
        {
          if ($picture_podpis) $picture_podpis .= ', <a href="' . $gallery_url . $tag . '">' . $tag . '</a>';
          else $picture_podpis .= '<a href="' . $gallery_url . $tag . '">' . $tag . '</a>';
        }
      } 
     	$Picture_out = array('url' => $picture_link , 'podpis' => $picture_podpis);
      $out[] = $Picture_out;
     } 
  }
  return $out;
} 


//////////////////////
//формируем титл страницы

 $title = $options['gallery_name'];
 $tag_slug = mso_segment(2); //определяем метку, указанную в адресе
 $tag_slug = mso_strip($tag_slug);
 if ($tag_slug ) $title_page = $options['gallery_name'] . ' по метке ' . $tag_slug;
    else $title_page = $options['gallery_name'];
 mso_head_meta('title', $title_page , $title); // meta title страницы
 mso_head_meta('description', $title ); // meta title страницы
 $gallery_slug = $options['gallery_slug'];

 require(getinfo('template_dir') . 'main-start.php');

 echo '<H1>' . $title_page  . '</H1>';
 
 $gallery_array = $options['gallery_array'];
 $all_tags = array_keys($gallery_array);  // получаем все имеющиеся метки по которым имеются галереи
 
 global $MSO;
$gallery_url = $MSO->config['site_url'] . $gallery_slug . '/';
//$gallery_url = getinfo('site_url') . $gallery_slug . '/';

 //получаем навигатор по галлереям

 $navigator ='';
 if ($tag_slug)
 {
    foreach ( $all_tags as $tag)
    {
      if ($navigator) $navigator .=  ' , <a href="' . $gallery_url . $tag . '">' . $tag . '</a>' ;
      else $navigator .=  '<a href="' . $gallery_url . $tag . '">' . $tag . '</a>' ;  
    }
  } 
  else
  {   
    foreach ( $all_tags as $tag)
    {
       $pictures = $gallery_array[$tag];
       $rand_key = array_rand($pictures);
       $picture = $pictures[$rand_key];
       $file = $picture['file'];
       $dir = $picture['dir'];
       $picturemini_url = $dir . 'mini/' . $file;
       $picture_link = '<a href="' . $gallery_url . $tag . '"><img src="' . $picturemini_url . '"></a>'; 
       $navigator .=  NR .'<div style="float: left; margin: 5px 1px 10px 1px; border: 1px #808080 solid; padding: 10px 1px; width: 290px;  text-align: center; position: relative;">';
       $navigator .= '<a href="' . $gallery_url . $tag . '">' . $tag . '</a>. Изображений:' . count($pictures);
       $navigator .=  $picture_link;
       $navigator .= '</div>' . NR;  
     }

   }
 $navigator = 'Доступные галереи: <br>' . $navigator;

 
 
 
 if ($tag_slug) echo ('<a href="' . $gallery_url  . '">В начало галерей</a>'); 
 '<a href="' . $gallery_url  . '">В начало галерей</a>';
 
 $gallery_blok = '';  // сформируем блок картинок к выводу
 if (in_array($tag_slug , $all_tags))   // если есть галерея для указанной в адресе метки
 { 
    $pictures = $gallery_array[$tag_slug];     //получим массив описаний картинок для этой метки
    $Pictures_out = taggallery_get_url_pictures($pictures ,  $gallery_url); //получим список прдготовленных урлов картиноек для вывода
    $picture_count = count($Pictures_out); //сколько картинок имеется 
    $colcoubt = 2; //посчитаем колличество столбцов галлереи
    foreach ($Pictures_out as $Picture_out)  // выведем подготовленные к выводу урлы картинок
    {
      $gallery_blok .= '<div class="cornerz" style="float: left; margin: 5px 1px 10px 1px; border: 1px #808080 solid; padding: 10px 1px; width: 290px;  text-align: center; position: relative;">';
      //$gallery_blok .= '<div>';
      $gallery_blok .= $Picture_out['url'];
      $gallery_blok .= $Picture_out['podpis'];
      $gallery_blok .= '</div>';
    }
  }
  $do = NR . '<div>'; // начало списка существующих галерей
  $posle = '</div>' . NR; // конец списка существующих галерей	  
  echo $do;
  echo $navigator;
  echo $posle;
  $do = NR . '<div>'; // начало списка существующих галерей
  $posle = '</div>' . NR; // конец списка существующих галерей	    
  echo $do;
  echo $gallery_blok;
  echo $posle;


require(getinfo('template_dir') . 'main-end.php');

?>